| QxOrm 1.4.4 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
qx::dao::detail::QxSqlIsBetween Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlIsBetween : SQL element to verify if a value is included into 2 other values More...

`#include <QxSqlIsBetween.h>`

Inheritance diagram for qx::dao::detail::QxSqlIsBetween:

List of all members.

## Public Types
enum | type { _is_between, _is_not_between }
## Public Member Functions
| QxSqlIsBetween ()
| QxSqlIsBetween (int index, QxSqlIsBetween::type t)
virtual | ~QxSqlIsBetween ()
virtual QString | toString () const
virtual void | resolve (QSqlQuery &query) const
virtual void | postProcess (QString &sql) const
virtual IxSqlElement::type_class | getTypeClass () const
## Protected Member Functions
virtual QString | getExtraSettings () const
virtual void | setExtraSettings (const QString &s)
## Protected Attributes
QxSqlIsBetween::type | m_type

## Detailed Description

qx::dao::detail::QxSqlIsBetween : SQL element to verify if a value is included into 2 other values

Definition at line 56 of file QxSqlIsBetween.h.

## Member Enumeration Documentation

enum qx::dao::detail::QxSqlIsBetween::type

Enumerator:

  _is_between |
  _is_not_between |

Definition at line 61 of file QxSqlIsBetween.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlIsBetween::QxSqlIsBetween | ( |  | ) |

qx::dao::detail::QxSqlIsBetween::QxSqlIsBetween | ( | int | index,
|  | QxSqlIsBetween::type | t
| ) |  |

virtual qx::dao::detail::QxSqlIsBetween::~QxSqlIsBetween | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::QxSqlIsBetween::getExtraSettings | ( |  | ) | const`[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual IxSqlElement::type_class qx::dao::detail::QxSqlIsBetween::getTypeClass | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlIsBetween::postProcess | ( | QString & | sql | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlIsBetween::resolve | ( | QSqlQuery & | query | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlIsBetween::setExtraSettings | ( | const QString & | s | ) | `[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual QString qx::dao::detail::QxSqlIsBetween::toString | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

## Member Data Documentation

QxSqlIsBetween::type qx::dao::detail::QxSqlIsBetween::m_type`[protected]`

Definition at line 65 of file QxSqlIsBetween.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlElement/QxSqlIsBetween.h